/*
 * $Id: Route.java,v 1.1 2004/12/23 12:17:32 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.rss.dsr;

import java.io.Serializable;

/**
 * DSR間のメッセージに積まれる経路情報
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class Route implements Serializable {
	/** 識別ID */
	private String id;
	/** URI */
	private String uri;

	/**
	 * コンストラクタ
	 */
	public Route() {
	}
	/**
	 * コンストラクタ
	 * @param i 識別ID
	 * @param u URI
	 */
	public Route(String i, String u) {
		id = i;
		uri = u;
	}
	/**
	 * 識別IDを返す
	 * @return 識別ID
	 */
	public String getId() {
		return id;
	}

	/**
	 * URIを返す
	 * @return URI
	 */
	public String getUri() {
		return uri;
	}

	/**
	 * 識別IDを設定する
	 * @param string 識別ID
	 */
	public void setId(String string) {
		id = string;
	}

	/**
	 * URIを設定する
	 * @param string URI
	 */
	public void setUri(String string) {
		uri = string;
	}

}
